### Constructor

# Foundry Gir new_for_path

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_gir_new_for_path (
      const char* path
    )

#### Description

No description available.

Available since: 1.1

#### Parameters

`path`

  Type: `const char*`

  The path to the file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryGir` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.